Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | List of all members
eZ\Publish\Core\Search\Elasticsearch\Content\MapperInterface Interface Reference

Mapper maps Content and Location objects to a Document object, representing a document in Elasticsearch index storage. More...

Inheritance diagram for eZ\Publish\Core\Search\Elasticsearch\Content\MapperInterface:

## Public Member Functions
| mapContentById ($contentId)
| Maps given Content by given $contentId to a Document. More...
| mapContent (Content $content)
| Maps given Content to a Document. More...
| mapLocation (Location $location)
| Maps given Location to a Document. More...

## Detailed Description

Mapper maps Content and Location objects to a Document object, representing a document in Elasticsearch index storage.

Note that custom implementations might need to be accompanied by custom mappings.

Deprecated:

Definition at line 20 of file MapperInterface.php.

## Member Function Documentation

## ◆ mapContent()

eZ\Publish\Core\Search\Elasticsearch\Content\MapperInterface::mapContent | ( | Content | $content | ) |

Maps given Content to a Document.

Parameters

  \eZ\Publish\SPI\Persistence\Content | $content |

Returns
  \eZ\Publish\Core\Search\Elasticsearch\Content\Document

Implemented in eZ\Publish\Core\Search\Elasticsearch\Content\Mapper\StandardMapper.

## ◆ mapContentById()

eZ\Publish\Core\Search\Elasticsearch\Content\MapperInterface::mapContentById | ( |  | $contentId | ) |

Maps given Content by given $contentId to a Document.

Parameters

  int | string | $contentId |

Returns
  \eZ\Publish\Core\Search\Elasticsearch\Content\Document

Implemented in eZ\Publish\Core\Search\Elasticsearch\Content\Mapper\StandardMapper.

## ◆ mapLocation()

eZ\Publish\Core\Search\Elasticsearch\Content\MapperInterface::mapLocation | ( | Location | $location | ) |

Maps given Location to a Document.

Returned Document represents a "parent" Location document searchable with Location Search.

Parameters

  \eZ\Publish\SPI\Persistence\Content\Location | $location |

Returns
  \eZ\Publish\Core\Search\Elasticsearch\Content\Document

The documentation for this interface was generated from the following file:

- MapperInterface.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.